@import "config";

//Widescreens
@include mediaXl {
  .projects {
    grid-gap: 6rem;
    grid-template-columns: repeat(4, 1fr);
  }
}

//Desktops & Laptops
@include mediaLg {
  .projects {
    grid-gap: 2rem;
    grid-template-columns: repeat(3, 1fr);
  }
}

//Tablets & Small Laptops
@include mediaMd {
  main {
    align-items: center;
    text-align: center;

    .lg-heading {
      line-height: 1;
      margin-bottom: 1rem;
    }
  }
  ul.menu-nav,
  div.menu-branding {
    float: none;
    width: 100%;
    min-height: 0;

    &.show {
      transform: translate3d(0, 0, 0);
    }
  }

  .menu-nav {
    height: 75vh;
    transform: translate3d(-100%, 0, 0);
    font-size: 24px;
  }

  .menu-branding {
    height: 25vh;
    transform: translate3d(100%, 0, 0);

    .portrait {
      background: $portrait-sm-image;
      width: 150px;
      height: 150px;
    }
  }
  .about-info {
    grid-template-areas: "bioimage" "bio" "techstack" "job1" "job2" "job3";
    grid-template-columns: 1fr;
  }
  .projects {
    grid-template-columns: repeat(2, 1fr);
  }
  .boxes {
    div {
      font-size: 1.5rem;
      padding: 0.5rem 1.5rem;
      &:hover {
        padding: 0.1rem 0.5rem;
      }
    }
  }
}

//Smartphones
@include mediaSm {
  main#home h1 {
    margin-top: 10vh;
  }
  .projects {
    grid-template-columns: 1fr;
  }
  main {
    padding: 4rem 2rem;
    .lg-heading {
      font-size: 3rem;
    }
    .sm-heading {
      font-size: 1rem;
    }
  }
}
